:root {
    --bg-blue-grey: #68798a;
    --card-bg: #ffffff;
}

section.wedding-wish {
    position: relative;
    background-color: var(--bg-blue-grey);
    padding: 6rem 0 6rem 0;
}

.custom-shape-divider-top {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    overflow: hidden;
    line-height: 0;
    z-index: 1;
}

.custom-shape-divider-top svg {
    position: relative;
    display: block;
    width: calc(100% + 1.3px);
    height: 70px;
}

.custom-shape-divider-top .shape-fill {
    fill: #ffffff;
}

.wedding-wish .content {
    position: relative;
    z-index: 2;
    padding: 0 !important;
}

/* Judul */
.wedding-wish .title-wish {
    font-family: var(--satisfy, "Satisfy", cursive);
    font-weight: 400;
    text-align: center;
    font-size: 55px;
    color: #ffffff;
    margin-bottom: 2rem;
}

/* Container Wish Chat */
.wish-card-wrapper {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
    padding: 0 1.5rem;
    box-sizing: border-box;
}

/* Kotak Daftar Pesan */
.wish-card-wrapper .wish-content {
    background-color: var(--card-bg);
    border-radius: 15px;
    height: 450px;
    padding: 2rem 1.5rem;
    overflow-y: auto;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);

    scrollbar-width: thin;
    scrollbar-color: var(--primary) var(--card-bg);
}

/* Baris Komentar */
.wish-card-wrapper .wish-content .list-comment {
    display: flex;
    gap: 1rem;
    margin-bottom: 2rem;
}

.wish-card-wrapper .wish-content .list-comment:last-child {
    margin-bottom: 0;
}
.avatar-circle {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    flex-shrink: 0;
    margin-top: 2px;
    object-fit: cover;
}

.wish-card-wrapper .wish-content .details-comment {
    display: flex;
    flex-direction: column;
}

.wish-card-wrapper .details-comment .sender-name {
    font-size: 16px;
    font-weight: 600;
    font-family: var(--montserrat, "Montserrat", sans-serif);
    color: var(--primary);
    margin: 0 0 2px 0;
}

.wish-card-wrapper .details-comment .timestamp {
    font-size: 13px;
    font-family: var(--montserrat, "Montserrat", sans-serif);
    font-weight: 400;
    color: var(--text-tan);
    margin: 0 0 10px 0;
}

.wish-card-wrapper .details-comment .message-text {
    font-size: 14px;
    font-weight: 400;
    font-family: var(--montserrat, "Montserrat", sans-serif);
    color: var(--text-tan);
    line-height: 1.6;
    margin: 0;
}

/* Ornament */
.wedding-wish .ornaments {
    overflow: hidden;
}

.wedding-wish .ornaments img:nth-child(1) {
    position: absolute;
    bottom: -90px;
    left: -60px;
    width: 55%;
    object-fit: cover;
    animation: rotateLeft 2s ease-in-out infinite alternate;
}

.wedding-wish .ornaments img:nth-child(2) {
    position: absolute;
    bottom: -90px;
    right: -60px;
    width: 55%;
    object-fit: cover;
    animation: rotateRight 2s ease-in-out infinite alternate;
}
